libgphoto2 (libgphoto2): libgphoto2/bayer.h Source File

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# bayer.h

    00001 /* bayer.h
    00002  *
    00003  * Copyright © 2001 Lutz Müller <lutz@users.sf.net>
    00004  *
    00005  * This library is free software; you can redistribute it and/or
    00006  * modify it under the terms of the GNU Lesser General Public
    00007  * License as published by the Free Software Foundation; either
    00008  * version 2 of the License, or (at your option) any later version.
    00009  *
    00010  * This library is distributed in the hope that it will be useful,
    00011  * but WITHOUT ANY WARRANTY; without even the implied warranty of
    00012  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    00013  * Lesser General Public License for more details.
    00014  *
    00015  * You should have received a copy of the GNU Lesser General Public
    00016  * License along with this library; if not, write to the
    00017  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    00018  * Boston, MA 02111-1307, USA.
    00019  */
    00020
    00021 #ifndef __BAYER_H__
    00022 #define __BAYER_H__
    00023
    00024 typedef enum {
    00025         BAYER_TILE_RGGB = 0,
    00026         BAYER_TILE_GRBG = 1,
    00027         BAYER_TILE_BGGR = 2,
    00028         BAYER_TILE_GBRG = 3,
    00029         BAYER_TILE_RGGB_INTERLACED = 4,         /* scanline order: R1,G1,R2,G2,...,G1,B1,G2,B2,... */
    00030         BAYER_TILE_GRBG_INTERLACED = 5,
    00031         BAYER_TILE_BGGR_INTERLACED = 6,
    00032         BAYER_TILE_GBRG_INTERLACED = 7,
    00033 } BayerTile;
    00034
    00035 int gp_bayer_expand (unsigned char *input, int w, int h, unsigned char *output,
    00036                      BayerTile tile);
    00037 int gp_bayer_decode (unsigned char *input, int w, int h, unsigned char *output,
    00038                      BayerTile tile);
    00039 int gp_bayer_interpolate (unsigned char *image, int w, int h, BayerTile tile);
    00040
    00041 #endif /* __BAYER_H__ */
    00042
    00043